# $Id: smeserver-xinetd.spec,v 1.1 2015/09/24 16:02:30 stephdl Exp $
# Authority: dungog
# Name: Stephen Noble

%define name smeserver-xinetd
%define version 0.3
%define release 2
Summary: Set up xinetd for services.
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-xinetd-0.3-bz7832.allowdir.patch
BuildRoot: /var/tmp/%{name}-%{version}
BuildArchitectures: noarch
BuildRequires: e-smith-devtools >= 1.13.1-03
Requires:  e-smith-release >= 7.0
Requires:  xinetd >= 2.3.13
AutoReqProv: no

%description
Integration package to enable xinetd on SME Server.

%changelog
* Tue Feb 13 2018 Jean-Philipe Pialasse <tests@pialasse.com> 0.3-2.sme
- fix double default template and missind xinetd.d  [SME: 7832]

* Thu Sep 24 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 0.3-1.sme
- Initial release to contribs9

* Wed Apr 18 2008 Shad L. Lords <slords@mail.com> 0.1-1
- initial release

%prep
%setup
%patch0 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"    >> %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
